ConjugateGradient Class Reference
Math tools » Optimizers

Multi-dimensional Conjugate Gradient class. More...

`#include <ql/math/optimization/conjugategradient.hpp>`

Inherits LineSearchBasedMethod.

## Public Member Functions

| ConjugateGradient (const boost::shared_ptr< LineSearch > &lineSearch=boost::shared_ptr< LineSearch >())

## Detailed Description

Multi-dimensional Conjugate Gradient class.

Fletcher-Reeves-Polak-Ribiere algorithm adapted from Numerical Recipes in C, 2nd edition.

User has to provide line-search method and optimization end criteria. Search direction \( d_i = - f'(x_i) + c_i*d_{i-1} \) where \( c_i = ||f'(x_i)||^2/||f'(x_{i-1})||^2 \) and \( d_1 = - f'(x_1) \)

This optimization method requires the knowledge of the gradient of the cost function.